#home_page {
  width: 100%;
  display: flex;
  flex-direction: row;
  justify-content: center;
  .home_page_container {
    width: 1400px;
    margin-top: 20px;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    @media screen and (max-width: 1420px) {
      width: 1000px;
    }
    .left_profile_block {
      width: 305px;
      display: flex;
      flex-direction: column;
      align-items: center;
      justify-content: space-around;
      height: 435px;
      background-color: #ffffff;
      box-shadow: rgba(0, 0, 0, 0.117647) 0px 1px 6px, rgba(0, 0, 0, 0.117647) 0px 1px 4px;


      .avatar-photo {
        position: relative;
        background-color: #666;
        height: 300px;
        width: 300px;
        overflow: hidden;
        border-radius: 3px;
        box-shadow: 0 0 0 6px #fff, 0 0 0 7px #ccc;
        z-index: 3;
      }

      .avatar-edit span {
        transition: all 0.3s ease;
        width: 100%;
        font-size: 16px;
        font-weight: 900;
        text-align: center;
        position: absolute;
        z-index: 5;
        bottom: 5px;
        right: 5px;
        color: white;
      }

      .avatar-photo  {
        input[type=file] {
          position: absolute;
          top:0;
          bottom: 0;
          left: 0;
          right: 0;
          width: 100%;
          height: 100%;
          cursor: pointer;
          opacity: 0;
          z-index: 9;
        }

        img {
          width: 100%;
        }

        &:hover {
          cursor: pointer;
          .avatar-edit i {
            opacity: 0.8;
            font-size: 100px;
          }
        }

        .avatar-edit {
          text-align: center;

          i {
            text-align: center;
            transition: all 0.3s ease;
            position: absolute;
            z-index: 5;
            color:white;
            top: 24px;
            right: 24px;
            font-size: 92px;
            opacity: 0.2;
          }
        }
      }

      .avatar_image {
        margin-top: 15px;
        width:90%;
        border-radius: 5px;
        height: 300px;
      }
      .profile_info_block {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        width: 90%;

        .tweets_count_block {
          display: flex;
          width: 50%;
          flex-direction: column;
          justify-content: space-around;
          align-items: center;
          height: 60px;
          .tweets {
            color: #657786;
          }
          .count {
            color: #1DA1F2;
            font-size: 15px;
          }
        }
        .readers_count_block {
          width: 50%;
          display: flex;
          flex-direction: column;
          justify-content: space-around;
          align-items: center;
          height: 60px;
          .readers {
            color: #657786;
          }
          .count {
            color: #1DA1F2;
            font-size: 15px;
          }
        }
      }
    }
    .center_post_block {
      width:45%;
      .post_textarea {
        border-radius: 10px;
        width:100%;
        display: flex;
        flex-direction: row;
        background-color: #e8f5fd;
        box-shadow: rgba(0, 0, 0, 0.117647) 0px 1px 6px, rgba(0, 0, 0, 0.117647) 0px 1px 4px;
        .input_area {
          width: 80%;
        }
        .send_post_btn {
          display: flex;
          justify-content: center;
          align-items: center;
          width: 20%;
          border-bottom-right-radius: 10px;
          border-top-right-radius: 10px;
          background-color: #0084B4;
          cursor: pointer;
          .post_img {
            background-image: url("../assets/img/sent-mail.png");
            background-size: contain;
            width: 35px;
            height:35px;
          }
        }
      }
      .post_block {
        margin-top: 15px;
        .post_edit_block {
          display: flex;
          justify-content: space-around;
          align-items: flex-end;
        }
      }
    }
    .right_recent_post_block {
      width:25%;
      display: flex;
      flex-direction: column;
      justify-content: space-around;
      align-items: center;
      height: 400px;
      .title {
        color: #657786;
        font-size: 18px;
      }
      .newest_post {
        display: flex;
        flex-direction: row;
        justify-content: flex-start;
        height: 90px;
        background-color: #ffffff;
        width: 100%;
        box-shadow: rgba(0, 0, 0, 0.117647) 0px 1px 6px, rgba(0, 0, 0, 0.117647) 0px 1px 4px;
        .avatar_img {
          width: 50px;
          height: 50px;
          border-radius: 10%;
          margin-top: 15px;
          margin-left: 15px;
        }
        .content_info_block {
          display: flex;
          flex-direction: column;
          justify-content: flex-start;
          align-items: flex-start;
          margin-top: 15px;
          .username_time_block {
            .username {
              font-size: 17px;
              margin-left: 5px;
            }
            .time {
              margin-left: 12px;
              color: #657786;
              font-size: 11px;
            }
          }
          .post_text {
            display:inline-block;
            text-overflow: ellipsis;
            white-space: nowrap;
            font-size: 14px;
            margin-left: 5px;
          }
        }
      }
    }
  }
}